diff --git a/lib/CMakeLists.txt b/lib/CMakeLists.txt
index 118828b..0fb0d75 100644
--- a/lib/CMakeLists.txt
+++ b/lib/CMakeLists.txt
@@ -443,6 +443,18 @@ else(${CMAKE_VERSION} VERSION_GREATER "2.8.9")
   endforeach()
 endif(${CMAKE_VERSION} VERSION_GREATER "2.8.9")
 
+########################################################################
+# set initial include directories for finding headers
+########################################################################
+
+include_directories(volk
+    ${PROJECT_BINARY_DIR}/include
+    ${PROJECT_SOURCE_DIR}/include
+    ${PROJECT_SOURCE_DIR}/kernels
+    ${CMAKE_CURRENT_BINARY_DIR}
+    ${CMAKE_CURRENT_SOURCE_DIR}
+)
+
 ########################################################################
 # Handle orc support
 ########################################################################
@@ -522,24 +534,10 @@ if(CMAKE_VERSION VERSION_GREATER "2.8.11")
     #Create a volk object library (requires cmake >= 2.8.8)
     add_library(volk_obj OBJECT ${volk_sources})
     # a better cmake-fu user may make this more repeatable
-    target_include_directories(volk_obj
-        PUBLIC ${PROJECT_BINARY_DIR}/include
-        PUBLIC ${PROJECT_SOURCE_DIR}/include
-        PRIVATE ${PROJECT_SOURCE_DIR}/kernels
-        PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
-        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
-    )
 
     #Add dynamic library
     add_library(volk SHARED $<TARGET_OBJECTS:volk_obj>)
     target_link_libraries(volk ${volk_libraries})
-    target_include_directories(volk
-        PUBLIC ${PROJECT_BINARY_DIR}/include
-        PUBLIC ${PROJECT_SOURCE_DIR}/include
-        PRIVATE ${PROJECT_SOURCE_DIR}/kernels
-        PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
-        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
-    )
 
     #Configure target properties
     set_target_properties(volk_obj PROPERTIES COMPILE_FLAGS "-fPIC")
@@ -556,13 +554,6 @@ if(CMAKE_VERSION VERSION_GREATER "2.8.11")
     #Configure static library
     if(ENABLE_STATIC_LIBS)
         add_library(volk_static STATIC $<TARGET_OBJECTS:volk_obj>)
-        target_include_directories(volk_static
-            PUBLIC ${PROJECT_BINARY_DIR}/include
-            PUBLIC ${PROJECT_SOURCE_DIR}/include
-            PRIVATE ${PROJECT_SOURCE_DIR}/kernels
-            PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
-            PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
-        )
 
         set_target_properties(volk_static PROPERTIES OUTPUT_NAME volk)
 
@@ -575,13 +566,6 @@ else()
     #create the volk runtime library
     add_library(volk SHARED ${volk_sources})
     target_link_libraries(volk ${volk_libraries})
-    include_directories(volk
-        PUBLIC ${PROJECT_BINARY_DIR}/include
-        PUBLIC ${PROJECT_SOURCE_DIR}/include
-        PRIVATE ${PROJECT_SOURCE_DIR}/kernels
-        PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
-        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
-    )
     set_target_properties(volk PROPERTIES SOVERSION ${LIBVER})
     set_target_properties(volk PROPERTIES DEFINE_SYMBOL "volk_EXPORTS")
 
@@ -605,6 +589,7 @@ else()
     endif(ENABLE_STATIC_LIBS)
 
 endif(CMAKE_VERSION VERSION_GREATER "2.8.11")
+
 ########################################################################
 # Build the QA test application
 ########################################################################
